GNU bug report logs - #9109
24.0.50; Warning: assignment to free variable (unwind-protect)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Roland Winkler <winkler@HIDDEN>; merged with #2681, #8774, #22288, #24128, #24592; dated Sun, 17 Jul 2011 15:38:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 2681 8774 9109 22288 24128 24592. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
Disconnected #24449 from all other report(s). Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 2681 8774 9109 22288 24128 24449. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 2681 8774 9109 22288 24449. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 2681 8774 9109 22288. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Jul 2011 15:37:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 17 11:37:44 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QiTPb-00061D-7v
	for submit <at> debbugs.gnu.org; Sun, 17 Jul 2011 11:37:43 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rwinkler@HIDDEN>) id 1QiTPZ-000612-Ik
	for submit <at> debbugs.gnu.org; Sun, 17 Jul 2011 11:37:42 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <rwinkler@HIDDEN>) id 1QiTPS-00041s-Vw
	for submit <at> debbugs.gnu.org; Sun, 17 Jul 2011 11:37:36 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00
	autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:45136)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rwinkler@HIDDEN>) id 1QiTPS-00041n-M8
	for submit <at> debbugs.gnu.org; Sun, 17 Jul 2011 11:37:34 -0400
Received: from eggs.gnu.org ([140.186.70.92]:41385)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rwinkler@HIDDEN>) id 1QiTPR-0007sz-2M
	for bug-gnu-emacs@HIDDEN; Sun, 17 Jul 2011 11:37:33 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <rwinkler@HIDDEN>) id 1QiTPP-00041K-Hr
	for bug-gnu-emacs@HIDDEN; Sun, 17 Jul 2011 11:37:32 -0400
Received: from tfkpsv.physik.uni-erlangen.de ([131.188.164.197]:29258)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rwinkler@HIDDEN>) id 1QiTPP-00040y-0A
	for bug-gnu-emacs@HIDDEN; Sun, 17 Jul 2011 11:37:31 -0400
Received: from regnitz (unknown [218.22.26.51])
	by tfkpsv.physik.uni-erlangen.de (Postfix) with ESMTP id EF74B39814
	for <bug-gnu-emacs@HIDDEN>; Sun, 17 Jul 2011 17:37:20 +0200 (CEST)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <20003.424.766669.799272@HIDDEN>
Date: Sun, 17 Jul 2011 10:37:12 -0500
From: Roland Winkler <winkler@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.0.50; Warning: assignment to free variable (unwind-protect)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4-2.6
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -3.9 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.0 (----)

cat > foo.el <<EOF
(unwind-protect
    (let ((foo "foo"))
      (insert foo))
  (setq foo "bar"))
EOF

Compiling foo.el results in the warning:

  bar.el:2:12:Warning: assignment to free variable `foo'

The line number is wrong. The assignment to free variable `foo' happens
in the unwindform.

In GNU Emacs 24.0.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.20.1)
 of 2011-07-11 on regnitz




Acknowledgement sent to Roland Winkler <winkler@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9109; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 5 Oct 2016 00:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.